Bug 47992 - JMS Point-to-Point Request - Response option doesn't work for me
JMS Point-to-Point Request - Response option doesn't work for me
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.4
PC Windows XP
: P2 critical (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-10-13 05:55 UTC by juniordeveloper
Modified: 2009-11-13 14:00 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description juniordeveloper 2009-10-13 05:55:41 UTC
If I try send a message at JMS Point-to-Point with Request Response Communication style (Use Request Message Id As Correlation Id is marked)

I have a following error:


2009/10/13 14:53:11 INFO  - jmeter.engine.StandardJMeterEngine: Thread will continue on error 
2009/10/13 14:53:11 INFO  - jmeter.threads.JMeterThread: jmeterthread.startearlier=true (see jmeter.properties) 
2009/10/13 14:53:11 INFO  - jmeter.threads.JMeterThread: Running PostProcessors in forward order 
2009/10/13 14:53:11 INFO  - jmeter.engine.StandardJMeterEngine: All threads have been started 
2009/10/13 14:53:11 INFO  - jmeter.threads.JMeterThread: Thread started: test 1-1 
2009/10/13 14:53:11 INFO  - jmeter.protocol.jms.sampler.Receiver: creating receiver without authorisation credentials 
2009/10/13 14:53:11 INFO  - jmeter.protocol.jms.sampler.Receiver: Receiver - ctor. Connection to messaging system established 






2009/10/13 14:53:13 INFO  - jmeter.protocol.jms.sampler.MessageAdmin: Message with ID:414d51205742524b36315f4445464155b61cd34a2024b602 not found. 







2009/10/13 14:53:13 INFO  - jmeter.threads.JMeterThread: Thread finished: test 1-1 
2009/10/13 14:53:13 INFO  - jmeter.engine.StandardJMeterEngine: Ending thread test 1-1 
2009/10/13 14:53:13 INFO  - jmeter.engine.StandardJMeterEngine: Stopping test 
2009/10/13 14:53:13 INFO  - jmeter.engine.StandardJMeterEngine: Notifying test listeners of end of test 
2009/10/13 14:53:13 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning(false,*local*) 
2009/10/13 14:53:13 INFO  - jmeter.engine.StandardJMeterEngine: Test has ended
Comment 1 juniordeveloper 2009-10-13 06:57:57 UTC
In the Receiver.java file change this:


from   getJMSMessageID   to getJMSCorrelationID




old:

while (isActive()) {
            reply = null;
            try {
                reply = consumer.receive(5000);
                if (reply != null) {

                    if (log.isDebugEnabled()) {
                        log.debug("Received message, correlation id:" + reply.getJMSCorrelationID());
                    }

                    if (reply.getJMSCorrelationID() == null) {
                        log.warn("Received message with correlation id null. Discarding message ...");
                    } else {
                        MessageAdmin.getAdmin().putReply(reply.getJMSMessageID(), reply);
                    }
                }



new:


while (isActive()) {
            reply = null;
            try {
                reply = consumer.receive(5000);
                if (reply != null) {

                    if (log.isDebugEnabled()) {
                        
                    	log.debug("Received message, correlation id:" + reply.getJMSCorrelationID());
                    }

                    if (reply.getJMSCorrelationID() == null) {
                        log.warn("Received message with correlation id null. Discarding message ...");
                    } else {
                    	MessageAdmin.getAdmin().putReply(reply.getJMSCorrelationID(), reply);
                    }
                }
Comment 2 jbgury 2009-11-09 06:55:06 UTC
I confirm this bug, and resolution works for me too.
Comment 3 Sebb 2009-11-13 14:00:57 UTC
Thanks, fixed in SVN:

URL: http://svn.apache.org/viewvc?rev=836014&view=rev
Log:
Bug 47992 - JMS Point-to-Point Request - Response option doesn't work